'use strict';

exports.__esModule = true;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var LayoutHelper = function () {
	function LayoutHelper() {
		_classCallCheck(this, LayoutHelper);
	}

	LayoutHelper.sidebarToggle = function sidebarToggle(toggle) {
		var elClassList = document.body.classList;
		var minimize = arguments.length ? toggle : !elClassList.contains('sidebar-minimized');

		this.sidebarMinimize(minimize);
		this.brandMinimize(minimize);
		this.sidebarPSToggle(!minimize); /*remove PS on sidebar minimized*/
	};

	LayoutHelper.sidebarMinimize = function sidebarMinimize(force) {
		return this.toggleClass('sidebar-minimized', force);
	};

	LayoutHelper.brandMinimize = function brandMinimize(force) {
		this.toggleClass('brand-minimized', force);
	};

	//  sidebar perfect scrollbar


	LayoutHelper.sidebarPSToggle = function sidebarPSToggle(toggle) {
		var sidebar = document.querySelector('.sidebar-nav');
		if (sidebar) {
			if (toggle) {
				sidebar.classList.add('ps');
				sidebar.classList.add('ps-container');
				sidebar.classList.add('ps--active-y');
			} else {
				sidebar.classList.remove('ps');
				sidebar.classList.remove('ps-container');
				sidebar.classList.remove('ps--active-y');
			}
		}
	};

	LayoutHelper.toggleClass = function toggleClass(className, force) {
		var elClassList = document.body.classList;

		if (force === true) {
			elClassList.add(className);
		} else if (force === false) {
			elClassList.remove(className);
		} else {
			elClassList.toggle(className);
		}
		return elClassList.contains(className);
	};

	return LayoutHelper;
}();

exports.default = LayoutHelper;
module.exports = exports['default'];